Package org.eclipse.wst.xsl.xalan.debugger

## org.eclipse.wst.xsl.xalan.debugger
Class XalanVariable

    public class XalanVariable
    extends Variable

## Constructor Summary

`XalanVariable(org.eclipse.wst.xsl.xalan.debugger.XalanStyleFrame xalanStyleFrame , org.apache.xpath.VariableStack varStack , java.lang.String scope , int slotNumber , org.apache.xalan.templates.ElemVariable elemVariable)`

## Method Summary

`public int` | `compareTo(java.lang.Object arg0)`
`public java.lang.String` | `getType()`
`public java.lang.String` | `getValue()`

## Constructor Detail

## XalanVariable

`public XalanVariable(org.eclipse.wst.xsl.xalan.debugger.XalanStyleFrame xalanStyleFrame , org.apache.xpath.VariableStack varStack , java.lang.String scope , int slotNumber , org.apache.xalan.templates.ElemVariable elemVariable)`

## Methods Detail

## compareTo

`public int compareTo(java.lang.Object arg0)`

### Parameters

`arg0`

### Returns

`int`

## getType

`public java.lang.String getType()`

### Returns

`java.lang.String`

## getValue

`public java.lang.String getValue()`

### Returns

`java.lang.String`